LangWatch offers an extensive library of evaluators to help you evaluate the quality and guarantee the safety of your LLM apps.While here you can find a reference list, to get the execution code you can use the Experiments via UI on LangWatch platform.
To make a call to the Evaluators API, you will need to pass through your LangWatch API key in the header as X-Auth-Token. Your API key can be found on the setup page under settings.
Detects personally identifiable information such as names, emails, phone numbers and credit card numbers, with Presidio. Works as a guardrail.
API Keys & Secrets Detection
Flags leaked credentials in the input or the output: provider and cloud API keys, tokens, private keys and database connection strings. Works as a guardrail.
Important for Analytics: When calling evaluators from code (Real-Time Evaluations), always
provide a descriptive name parameter to distinguish between different evaluation checks in
Analytics.
When running the same evaluator type multiple times for different purposes, you must use unique name values to:
Track results separately in the Analytics dashboard
Filter and group evaluation results by purpose
Avoid confusion when multiple evaluations use the same evaluator type
Example: Running multiple category checksIf you’re using the LLM Category evaluator to check different aspects of your output:
import langwatch# Check 1: Is the answer complete?langwatch.evaluation.evaluate( "langevals/llm_category", name="Answer Completeness Check", # Unique name for this check data={"input": user_input, "output": response}, settings={"categories": [{"name": "complete"}, {"name": "incomplete"}]})# Check 2: Is the tone appropriate?langwatch.evaluation.evaluate( "langevals/llm_category", name="Tone Appropriateness Check", # Different name for this check data={"input": user_input, "output": response}, settings={"categories": [{"name": "professional"}, {"name": "casual"}, {"name": "inappropriate"}]})
import { LangWatch } from "langwatch";const langwatch = new LangWatch();// Check 1: Is the answer complete?await langwatch.evaluations.evaluate("langevals/llm_category", { name: "Answer Completeness Check", // Unique name for this check data: { input: userInput, output: response }, settings: { categories: [{ name: "complete" }, { name: "incomplete" }] }});// Check 2: Is the tone appropriate?await langwatch.evaluations.evaluate("langevals/llm_category", { name: "Tone Appropriateness Check", // Different name for this check data: { input: userInput, output: response }, settings: { categories: [{ name: "professional" }, { name: "casual" }, { name: "inappropriate" }] }});
Without unique names, all results would be grouped under the same auto-generated identifier (e.g., custom_eval_langevalsllm_category), making it impossible to analyze them separately.
POST /api/v1/evaluations/{evaluator_path}/evaluate
Each evaluator accepts specific input parameters and settings. Refer to the individual evaluator documentation pages for detailed request/response schemas and examples.
Successful evaluations return an array of evaluation results with scores, details, and metadata specific to each evaluator type.
Last modified on October 29, 2026
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"LangWatch","description":"LangWatch is an open-source LLMOps platform for observability, evaluations, prompt optimization, and agent testing.","colors":{"primary":"#e17100","light":"#fe9a00","dark":"#e17100"},"logo":{"light":"https://mintcdn.com/langwatch/RHmZel47SBF9eSZV/logo/dark.svg?fit=max\u0026auto=format\u0026n=RHmZel47SBF9eSZV\u0026q=85\u0026s=27fe16868ec581a9af33ced4398a0671","dark":"https://mintcdn.com/langwatch/RHmZel47SBF9eSZV/logo/light.svg?fit=max\u0026auto=format\u0026n=RHmZel47SBF9eSZV\u0026q=85\u0026s=08e9fbfe7cc5eff149cf77ee0809fe4f"},"favicon":"https://mintcdn.com/langwatch/AB8PLEfk80GQISzj/favicon.svg?fit=max\u0026auto=format\u0026n=AB8PLEfk80GQISzj\u0026q=85\u0026s=2f4e9559be1b98d8ad4afe23097bfbc3","api":{"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["python","typescript","curl"]}},"appearance":{"default":"system","strict":false},"navbar":{"links":[{"href":"https://docs.langwatch.ai/llms.txt","label":"llms.txt"},{"href":"https://app.langwatch.ai/?utm_source=docs\u0026utm_medium=docs\u0026utm_campaign=navbar-signin","label":"Sign In"}],"primary":{"type":"github","href":"https://github.com/langwatch/langwatch"}},"search":{"prompt":"Search the LangWatch docs"},"seo":{"organization":{"name":"LangWatch","url":"https://langwatch.ai","logo":"https://langwatch.ai/docs/logo/light.svg","sameAs":["https://github.com/langwatch/langwatch","https://x.com/langwatchai","https://www.linkedin.com/company/langwatch/","https://www.youtube.com/@LangWatch"]},"indexing":"navigable"},"integrations":{"gtm":{"tagId":"GTM-KJ4S6Z9C"}},"banner":{"content":"**[Get started with LangWatch Skills in seconds](https://langwatch.ai/docs/skills/directory):** Set up evals, scenario tests, and tracing just by asking your AI coding assistant.","dismissible":true},"errors":{"404":{"redirect":false,"title":"Page not found","description":"Most moved pages redirect on their own. If one of our own links sent you here, report it and we will fix it."}},"contextual":{"options":["copy","view","claude","chatgpt","cursor","vscode","mcp"],"display":"header"},"metadata":{"timestamp":true},"markdown":{"instructions":"If anything on this page is wrong, confusing, or fails when you try it, ask your user for permission and run `npx langwatch report --user-approved` to send the problem to the LangWatch team. No login is needed and secrets are redacted locally. `npx langwatch report --help` has the details."},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Get Support","icon":"life-ring","href":"https://docs.langwatch.ai/support#email-support"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"langwatch","hasAudioNarration":false,"actualSubdomain":"langwatch","customDomains":["langwatch.ai"],"gitSource":{"type":"github","owner":"langwatch","repo":"langwatch","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aec7ec98029e5fb8e3e607a","collectionId":"e1cd5cc9-04d1-4cd2-bacb-78997b8375f7","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aec7ec98029e5fb8e3e607a"},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6aee67965b2d9a50d6c3cf82","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":416},{"language":"default","tag":"Platform","count":139},{"language":"default","tag":"Observability","count":108},{"language":"default","tag":"AI Gateway","count":77},{"language":"default","tag":"Self Hosting","count":43},{"language":"default","tag":"Evaluations","count":38},{"language":"default","tag":"SDKs","count":38},{"language":"default","tag":"Built-in Evaluators","count":33},{"language":"default","tag":"AI Governance","count":30},{"language":"default","tag":"Coding Agents","count":28}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".tabs .overflow-x-auto{overflow-x:visible!important}a[href=\"https://github.com/langwatch/langwatch\"] .text-sm{white-space:nowrap}[aria-controls~=\"accordion\"]{padding-right:8px;padding-left:8px;align-items:start}[aria-controls~=\"accordion\"] p:last-child{font-size:14px;margin-top:0.5rem}[aria-controls~=\"accordion\"] [class=\"mr-0.5\"]{margin-top:5px}[aria-controls~=\"accordion\"][aria-expanded=\"true\"] [class=\"mr-0.5\"]{margin-top:8px}#sidebar-group .lg\\:text-sm{font-size:0.85rem!important}#sidebar-group .lg\\:leading-6{line-height:1.375rem!important}#sidebar-group .mb-5{margin-bottom:0.75rem!important}#sidebar-group .sm\\:mb-4{margin-bottom:0.5rem!important}#sidebar-group .py-1\\.5{padding-top:0.25rem!important;padding-bottom:0.25rem!important}#sidebar-group .mt-12 .lg\\:mt-8{margin-top:2rem!important}#sidebar-group .mb-3\\.5{margin-bottom:0.5rem!important}#sidebar-group h5{font-size:0.9rem!important}#sidebar-group svg{height:0.8rem!important;width:0.8rem!important}#sidebar-group svg[viewBox=\"0 -9 3 24\"]{stroke-width:1px!important;height:28px!important;width:12px!important;opacity:0.8!important}#sidebar-group .group{position:relative!important;padding-right:20px!important}#sidebar-group .group svg[viewBox=\"0 -9 3 24\"]{position:absolute!important;right:8px!important;top:50%!important;transform:translateY(-50%)!important}#sidebar-group .duration-75{transform:none!important}#sidebar-group .group svg[viewBox=\"0 -9 3 24\"].duration-75{transform:translateY(-50%)!important}#sidebar-group .group svg[viewBox=\"0 -9 3 24\"].duration-75.rotate-90{transform:translateY(-50%) rotate(90deg)!important}.line-highlight{background:rgb(85 215 153 / 0.2)!important}.line-highlight:before{background:rgb(85 215 153 / 0.2)!important;border-left:4px solid rgb(85 215 153)!important}.line-highlight:after{background:rgb(85 215 153 / 0.2)!important}code{max-width:100%;overflow-x:auto}.lw-copy-prompt{border:1px solid #e5e7eb;border-radius:12px;padding:12px 16px;display:flex;align-items:center;justify-content:space-between;gap:12px;cursor:pointer;transition:all 0.15s;margin-bottom:8px}.lw-copy-prompt:hover{background:#f9fafb}.lw-copy-btn{display:flex;align-items:center;gap:6px;padding:6px 12px;border-radius:8px;border:1px solid #e5e7eb;background:transparent;cursor:pointer;font-size:13px;font-weight:500;transition:all 0.15s;white-space:nowrap;color:inherit}.lw-copy-btn .lw-check-icon{display:none}.lw-copy-btn .lw-copy-icon{display:flex;align-items:center;gap:6px}.lw-copy-btn[data-copied] .lw-copy-icon{display:none}.lw-copy-btn[data-copied] .lw-check-icon{display:flex;align-items:center;gap:6px}.lw-copy-btn[data-copied]{background:#ecfdf5;color:#059669;border-color:#059669}.lw-copy-prompt[data-copied] .lw-copy-line-icon{display:none!important}.lw-copy-prompt[data-copied] .lw-copy-line-check{display:flex!important}.dark .lw-copy-prompt{border-color:#374151}.dark .lw-copy-prompt:hover{background:transparent;border-color:#6b7280}.dark .lw-copy-prompt:hover span{color:#f9fafb}.dark .lw-copy-btn{border-color:#374151}.dark .lw-copy-prompt:hover .lw-copy-btn{border-color:#6b7280;color:#f9fafb}.dark .lw-copy-btn[data-copied]{background:rgba(5, 150, 105, 0.15);border-color:rgba(5, 150, 105, 0.4);color:#059669}.lw-skill-install{border:1px solid #e5e7eb;border-radius:12px;padding:20px 24px;margin-bottom:16px}.lw-skill-install.lw-skill-highlighted{border-color:rgba(225, 113, 0, 0.4);background:rgba(225, 113, 0, 0.06)}.dark .lw-skill-install{border-color:#374151}.dark .lw-skill-install.lw-skill-highlighted{border-color:rgba(225, 113, 0, 0.4)}.lw-inline-copy-btn{display:inline-flex;align-items:center;padding:2px;border:none;background:transparent;color:#9ca3af;cursor:pointer;transition:color 0.15s;vertical-align:middle}.lw-inline-copy-btn:hover{color:#6b7280}.dark .lw-inline-copy-btn:hover{color:#d1d5db}.lw-info-box{display:flex;gap:12px;padding:16px;border:1px solid #e5e7eb;border-radius:12px;background:#f9fafb;margin-bottom:16px;margin-top:32px}.lw-info-box-icon{flex-shrink:0;color:#6b7280;margin-top:6px}.lw-info-box-content{flex:1;min-width:0;font-size:14px}.lw-info-box-content p{margin:0 0 8px}.lw-info-box-content p:last-child{margin-bottom:0}.lw-info-box-content pre{margin:8px 0 0!important}.lw-info-box-content [data-component-part=\"code-block-root\"]{padding-top:6px!important}.lw-info-box-content .code-block{margin-bottom:0!important}.dark .lw-info-box{border-color:#374151;background:rgba(255, 255, 255, 0.03)}.dark .lw-info-box-icon{color:#9ca3af}.lw-accordion{border:1px solid #e5e7eb;border-radius:12px;margin-bottom:8px;overflow:hidden}.lw-accordion-header{display:flex;align-items:center;justify-content:space-between;padding:12px 16px;cursor:pointer;transition:background 0.15s;list-style:none}.lw-accordion-header:hover{background:#f9fafb}.lw-accordion-title{font-size:14px}.lw-accordion-chevron{flex-shrink:0;transition:transform 0.2s;color:#9ca3af}.lw-accordion[data-open] .lw-accordion-chevron{transform:rotate(180deg)}.lw-accordion-body{display:none;padding:0 16px 16px;border-top:1px solid #e5e7eb}.lw-accordion[data-open] .lw-accordion-body{display:block}.lw-accordion-static .lw-accordion-header{cursor:default}.lw-accordion-static .lw-accordion-header:hover{background:transparent}.lw-prompt-source{display:none}.lw-accordion-commands{display:flex;gap:16px;margin-top:12px}.lw-accordion-cmd-col{flex:1;min-width:0}.lw-accordion-cmd-label{font-size:11px;font-weight:600;text-transform:uppercase;letter-spacing:0.05em;color:#6b7280;margin-bottom:6px}.lw-accordion-cmd-box{display:flex;align-items:center;gap:8px;padding:8px 12px;background:#f9fafb;border-radius:8px;border:1px solid #e5e7eb;cursor:pointer;transition:border-color 0.15s}.lw-accordion-cmd-box:hover{border-color:#d1d5db}.lw-accordion-cmd-box code{font-size:13px;font-family:var(--font-mono, monospace);white-space:nowrap;overflow:hidden;text-overflow:ellipsis;flex:1;min-width:0;background:transparent!important;padding:0!important;border:none!important}.lw-slash-command{color:#e17100;font-weight:600}.lw-accordion-cmd-box[data-copied]{border-color:#059669;background:#ecfdf5}.lw-accordion-cmd-box[data-copied] .lw-copy-line-icon{display:none!important}.lw-accordion-cmd-box[data-copied] .lw-copy-line-check{display:inline-flex!important}.lw-accordion-actions{display:flex;flex-wrap:wrap;gap:8px;margin-top:12px}.lw-accordion-action{display:flex;align-items:center;gap:8px;padding:6px 12px 6px 6px;border:1px solid #e5e7eb;border-radius:8px;background:transparent;cursor:pointer;text-decoration:none;color:inherit;transition:all 0.15s;text-align:left}.lw-accordion-action:hover{background:#f9fafb;border-color:#d1d5db}.lw-accordion-action-icon{display:flex;align-items:center;justify-content:center;width:32px;height:32px;border:1px solid #e5e7eb;border-radius:6px;color:#6b7280;flex-shrink:0}.lw-accordion-action-text{display:flex;flex-direction:column;line-height:1.2}.lw-accordion-action-title{font-size:13px;font-weight:500}.lw-accordion-action-subtitle{font-size:11px;font-weight:400;color:#9ca3af}.lw-accordion-action[data-copied]{background:#ecfdf5;border-color:#059669}.lw-accordion-action[data-copied] .lw-copy-line-icon{display:none!important}.lw-accordion-action[data-copied] .lw-copy-line-check{display:flex!important}.dark .lw-accordion{border-color:#374151}.dark .lw-accordion-header:hover{background:rgba(255, 255, 255, 0.03)}.dark .lw-accordion-static .lw-accordion-header:hover{background:transparent}.dark .lw-accordion-body{border-top-color:#374151}.dark .lw-accordion-cmd-box{background:rgba(255, 255, 255, 0.05);border-color:#374151}.dark .lw-accordion-cmd-box:hover{border-color:#6b7280}.dark .lw-accordion-cmd-box[data-copied]{background:rgba(5, 150, 105, 0.15);border-color:rgba(5, 150, 105, 0.4)}.dark .lw-accordion-action{border-color:#374151}.dark .lw-accordion-action-icon{border-color:#374151}.dark .lw-accordion-action:hover{background:rgba(255, 255, 255, 0.03);border-color:#6b7280}.dark .lw-accordion-action[data-copied]{background:rgba(5, 150, 105, 0.15);border-color:rgba(5, 150, 105, 0.4)}.dark .lw-accordion-chevron{color:#6b7280}.dark .lw-slash-command{color:#fe9a00}#sidebar-group .group>img{align-self:center}#footer{flex-wrap:wrap;row-gap:0}.lw-agent-report{flex:0 0 100%;font-size:14px;color:#9ca3af;padding-bottom:12px}.lw-agent-report a{color:inherit;text-decoration:underline;text-underline-offset:2px}.lw-agent-report a:hover{color:#6b7280}.lw-agent-report code{font-size:13px;white-space:nowrap;background:rgba(0, 0, 0, 0.04);border:1px solid #e5e7eb;border-radius:4px;padding:1px 5px}.dark .lw-agent-report{color:#6b7280}.dark .lw-agent-report a:hover{color:#9ca3af}.dark .lw-agent-report code{background:rgba(255, 255, 255, 0.05);border-color:#374151}"}],"page":{"pagePath":"api-reference/evaluators/overview","slug":"/api-reference/evaluators/overview","pageMetadata":{"title":"Overview","description":"Browse all available evaluators in LangWatch to find the right scoring method for your AI agent evaluation use case.","href":"/api-reference/evaluators/overview"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Browse all available evaluators in LangWatch to find the right scoring method for your AI agent evaluation use case.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Card,CardGroup,CodeBlock,CodeGroup,Frame,Heading,Table,Warning}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!CardGroup)_missingMdxReference(`CardGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Frame)_missingMdxReference(`Frame`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`intro`,children:`Intro`}),`\n`,_jsx(_components.p,{children:`LangWatch offers an extensive library of evaluators to help you evaluate the quality and guarantee the safety of your LLM apps.`}),`\n`,_jsxs(_components.p,{children:[`While here you can find a reference list, to get the execution code you can use the `,_jsx(_components.a,{href:`https://app.langwatch.ai/@project/experiments`,children:`Experiments via UI`}),` on LangWatch platform.`]}),`\n`,_jsx(Heading,{level:`2`,id:`authentication`,children:`Authentication`}),`\n`,_jsxs(_components.p,{children:[`To make a call to the Evaluators API, you will need to pass through your LangWatch API key in the header as `,_jsx(_components.code,{children:`X-Auth-Token`}),`. Your API key can be found on the setup page under settings.`]}),`\n`,_jsx(Heading,{level:`3`,id:`allowed-methods`,children:`Allowed Methods`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`POST /api/v1/evaluations/{evaluator}/evaluate`}),` - Run an evaluation using a specific evaluator`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`evaluators-list`,children:`Evaluators List`}),`\n`,_jsx(Heading,{level:`2`,id:`expected-answer`,children:`Expected Answer`}),`\n`,_jsx(_components.p,{children:`For when you have the golden answer and want to measure how correct the LLM gets it`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Evaluator`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/exact-match-evaluator`,children:`Exact Match Evaluator`})}),_jsx(_components.td,{children:`Passes when the output matches the expected output character for character. Case, whitespace and punctuation handling are settings.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/llm-answer-match`,children:`LLM Answer Match`})}),_jsx(_components.td,{children:`Uses an LLM to check if the generated output answers a question correctly the same way as the expected output, even if their style is different.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/llm-factual-match`,children:`LLM Factual Match`})}),_jsx(_components.td,{children:`Uses an LLM to check that the facts stated in the output match the expected output.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/bleu-score`,children:`BLEU Score`})}),_jsx(_components.td,{children:`String similarity between the output and the expected output, from 0 to 1.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/rouge-score`,children:`ROUGE Score`})}),_jsx(_components.td,{children:`Overlap between the output and the expected output, from 0 to 1.`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`llm-as-judge`,children:`LLM as Judge`}),`\n`,_jsx(_components.p,{children:`For when you don’t have a golden answer, but have a set of rules for another LLM to evaluate quality`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Evaluator`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/llm-as-a-judge-boolean-evaluator`,children:`LLM-as-a-Judge Boolean Evaluator`})}),_jsx(_components.td,{children:`Returns pass or fail against the criteria you write in the prompt.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/llm-as-a-judge-score-evaluator`,children:`LLM-as-a-Judge Score Evaluator`})}),_jsx(_components.td,{children:`Returns a number on the scale your prompt defines.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/llm-as-a-judge-category-evaluator`,children:`LLM-as-a-Judge Category Evaluator`})}),_jsx(_components.td,{children:`Returns one of the categories you define, each with a name and a description.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/rubrics-based-scoring`,children:`Rubrics Based Scoring`})}),_jsx(_components.td,{children:`Scores the output against a rubric with a description for each score, typically from 1 to 5.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/evaluations/experiments/ui/pairwise-compare`,children:`Comparison`})}),_jsx(_components.td,{children:`Shows a judge every candidate output for the same row and picks the best one, or a tie. Used in experiments with two or more prompt or agent columns.`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`rag-quality`,children:`RAG Quality`}),`\n`,_jsx(_components.p,{children:`For measuring the quality of your RAG, check for hallucinations with faithfulness and precision/recall`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Evaluator`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/ragas-faithfulness`,children:`Ragas Faithfulness`})}),_jsx(_components.td,{children:`Measures how consistent the output is with the retrieved contexts. Higher scores mean fewer hallucinations.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/ragas-response-relevancy`,children:`Ragas Response Relevancy`})}),_jsx(_components.td,{children:`Measures how relevant the output is to the input.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/ragas-response-context-precision`,children:`Ragas Response Context Precision`})}),_jsx(_components.td,{children:`Measures how much of the retrieved context was needed for the output, using an LLM.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/ragas-response-context-recall`,children:`Ragas Response Context Recall`})}),_jsx(_components.td,{children:`Measures how much of the expected output the retrieved contexts cover, using an LLM.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/context-f1`,children:`Context F1`})}),_jsx(_components.td,{children:`Balances precision and recall of the retrieved contexts against the expected contexts, with string distance metrics.`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`quality-aspects`,children:`Quality Aspects`}),`\n`,_jsx(_components.p,{children:`For when you want to check the language, structure, style and other general quality metrics`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Evaluator`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/valid-format-evaluator`,children:`Valid Format Evaluator`})}),_jsx(_components.td,{children:`Checks that the output is valid JSON, Markdown, Python, SQL or another format you pick. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/lingua-language-detection`,children:`Language Detection`})}),_jsx(_components.td,{children:`Detects the language of the input and the output, and passes when they match or when the output is in the language you expect. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Sentiment Evaluator`}),_jsx(_components.td,{children:`Scores the sentiment of the text from -1.0 (very negative) to 1.0 (very positive), with a matching label.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/query-resolution`,children:`Query Resolution`})}),_jsx(_components.td,{children:`Checks with an LLM that every question the user asked in the conversation was answered.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/summarization-score`,children:`Summarization Score`})}),_jsx(_components.td,{children:`Measures how well the summary in the output captures the important information from the retrieved contexts.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/sql-query-equivalence`,children:`SQL Query Equivalence`})}),_jsx(_components.td,{children:`Checks with an LLM that the SQL query in the output returns the same results as the reference query, given the table schemas.`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`safety`,children:`Safety`}),`\n`,_jsx(_components.p,{children:`Check for PII, leaked secrets, prompt injection and harmful content, and keep the conversation on topic`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Evaluator`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/presidio-pii-detection`,children:`PII Detection`})}),_jsx(_components.td,{children:`Detects personally identifiable information such as names, emails, phone numbers and credit card numbers, with Presidio. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`API Keys \u0026 Secrets Detection`}),_jsx(_components.td,{children:`Flags leaked credentials in the input or the output: provider and cloud API keys, tokens, private keys and database connection strings. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/azure-prompt-shield`,children:`Prompt Injection Detection`})}),_jsx(_components.td,{children:`Detects prompt injection attempts in the input, with Azure Prompt Shield. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/azure-jailbreak-detection`,children:`Jailbreak Detection`})}),_jsx(_components.td,{children:`Detects jailbreak attempts in the input, with Azure Content Safety. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/azure-content-safety`,children:`Content Safety`})}),_jsx(_components.td,{children:`Detects hate, self-harm, sexual and violent content, with Azure Content Safety. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/openai-moderation`,children:`Moderation`})}),_jsx(_components.td,{children:`Flags harmful content with the OpenAI moderation API. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/competitor-blocklist`,children:`Competitor Blocklist`})}),_jsx(_components.td,{children:`Fails when the output mentions a competitor from your list. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/competitor-allowlist-check`,children:`Competitor Allowlist Check`})}),_jsx(_components.td,{children:`Uses an LLM to fail when the output mentions a company outside your allowlist. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/competitor-llm-check`,children:`Competitor LLM Check`})}),_jsx(_components.td,{children:`Uses an LLM with function calling to detect competitor mentions. Works as a guardrail.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/off-topic-evaluator`,children:`Off Topic Evaluator`})}),_jsx(_components.td,{children:`Uses an LLM to fail when the input is outside the topics you allow. Works as a guardrail.`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`api-only`,children:`API only`}),`\n`,_jsx(_components.p,{children:`These evaluators run from the SDK and the REST API by their id and are not offered in the evaluator picker`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Evaluator`}),_jsx(_components.th,{children:`Id`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/custom-basic-evaluator`,children:`Custom Basic Evaluator`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`langevals/basic`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/semantic-similarity-evaluator`,children:`Semantic Similarity Evaluator`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`langevals/similarity`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/context-precision`,children:`Context Precision`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`ragas/context_precision`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/evaluators/context-recall`,children:`Context Recall`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`ragas/context_recall`})})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`running-evaluations`,children:`Running Evaluations`}),`\n`,_jsxs(_components.p,{children:[`Set up your first experiment using the `,_jsx(_components.a,{href:`https://app.langwatch.ai/@project/experiments`,children:`Experiments via UI`}),`:`]}),`\n`,_jsx(`a`,{href:`https://app.langwatch.ai/@project/experiments`,target:`_blank`,children:_jsx(Frame,{children:_jsx(`img`,{src:`https://mintcdn.com/langwatch/iJjBH4X_YNQ578jk/images/offline-evaluation/Screenshot_2025-04-17_at_16.53.38.png?fit=max\u0026auto=format\u0026n=iJjBH4X_YNQ578jk\u0026q=85\u0026s=6703ca1a6c35fac892ef39ae9ef1a045`,alt:`The evaluators list in the LangWatch experiments page`,style:{maxWidth:`400px`},noZoom:true,\"data-og-width\":`986`,width:`986`,\"data-og-height\":`1966`,height:`1966`,\"data-path\":`images/offline-evaluation/Screenshot_2025-04-17_at_16.53.38.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/langwatch/iJjBH4X_YNQ578jk/images/offline-evaluation/Screenshot_2025-04-17_at_16.53.38.png?w=280\u0026fit=max\u0026auto=format\u0026n=iJjBH4X_YNQ578jk\u0026q=85\u0026s=bc375c4a7a48cc98dc155699c7613908 280w, https://mintcdn.com/langwatch/iJjBH4X_YNQ578jk/images/offline-evaluation/Screenshot_2025-04-17_at_16.53.38.png?w=560\u0026fit=max\u0026auto=format\u0026n=iJjBH4X_YNQ578jk\u0026q=85\u0026s=79dcb92cf6a7fe3d9ad5006a379c31d4 560w, https://mintcdn.com/langwatch/iJjBH4X_YNQ578jk/images/offline-evaluation/Screenshot_2025-04-17_at_16.53.38.png?w=840\u0026fit=max\u0026auto=format\u0026n=iJjBH4X_YNQ578jk\u0026q=85\u0026s=70e89294f412e916153ea0f6a3357538 840w, https://mintcdn.com/langwatch/iJjBH4X_YNQ578jk/images/offline-evaluation/Screenshot_2025-04-17_at_16.53.38.png?w=1100\u0026fit=max\u0026auto=format\u0026n=iJjBH4X_YNQ578jk\u0026q=85\u0026s=7ea3880c3d50dfa28517157827c6edda 1100w, https://mintcdn.com/langwatch/iJjBH4X_YNQ578jk/images/offline-evaluation/Screenshot_2025-04-17_at_16.53.38.png?w=1650\u0026fit=max\u0026auto=format\u0026n=iJjBH4X_YNQ578jk\u0026q=85\u0026s=afe0c52a1cdad1ecf0300eac02e1a2f9 1650w, https://mintcdn.com/langwatch/iJjBH4X_YNQ578jk/images/offline-evaluation/Screenshot_2025-04-17_at_16.53.38.png?w=2500\u0026fit=max\u0026auto=format\u0026n=iJjBH4X_YNQ578jk\u0026q=85\u0026s=7885aa11bc1777a45b73b1f56b688238 2500w`})})}),`\n`,_jsx(Heading,{level:`2`,id:`using-evaluators`,children:`Using Evaluators`}),`\n`,_jsxs(CardGroup,{cols:2,children:[_jsx(Card,{title:`Built-in Evaluators`,description:`Use evaluators directly in your code.`,icon:`bolt`,href:`/evaluations/evaluators/built-in-evaluators`}),_jsx(Card,{title:`Saved Evaluators`,description:`Create and reuse evaluator configurations.`,icon:`bookmark`,href:`/evaluations/evaluators/saved-evaluators`}),_jsx(Card,{title:`Custom Scoring`,description:`Send scores from your own evaluation logic.`,icon:`code`,href:`/evaluations/evaluators/custom-scoring`})]}),`\n`,_jsxs(Heading,{level:`2`,id:`the-name-parameter`,children:[`The `,_jsx(_components.code,{children:`name`}),` Parameter`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Important for Analytics:`}),` When calling evaluators from code (Real-Time Evaluations), always\nprovide a descriptive `,_jsx(_components.code,{children:`name`}),` parameter to distinguish between different evaluation checks in\nAnalytics.`]})}),`\n`,_jsxs(_components.p,{children:[`When running the same evaluator type multiple times for different purposes, you must use unique `,_jsx(_components.code,{children:`name`}),` values to:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Track results separately in the Analytics dashboard`}),`\n`,_jsx(_components.li,{children:`Filter and group evaluation results by purpose`}),`\n`,_jsx(_components.li,{children:`Avoid confusion when multiple evaluations use the same evaluator type`}),`\n`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Example: Running multiple category checks`})}),`\n`,_jsx(_components.p,{children:`If you’re using the LLM Category evaluator to check different aspects of your output:`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`Python`,numberOfLines:`17`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`17`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` langwatch`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Check 1: Is the answer complete?`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`langwatch.evaluation.evaluate(`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"langevals/llm_category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` name`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Answer Completeness Check\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Unique name for this check`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"input\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: user_input, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"output\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: response},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` settings`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"categories\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"complete\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}, {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"incomplete\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}]}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Check 2: Is the tone appropriate?`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`langwatch.evaluation.evaluate(`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"langevals/llm_category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` name`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Tone Appropriateness Check\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Different name for this check`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"input\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: user_input, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"output\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: response},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` settings`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"categories\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"professional\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}, {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"casual\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}, {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"inappropriate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}]}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`TypeScript`,numberOfLines:`17`,language:`typescript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`typescript`,children:_jsxs(_components.code,{language:`typescript`,numberOfLines:`17`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`LangWatch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` } `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`from`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"langwatch\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` langwatch`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` LangWatch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Check 1: Is the answer complete?`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` langwatch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`evaluations`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`evaluate`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"langevals/llm_category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` name:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Answer Completeness Check\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Unique name for this check`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` data:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`input:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` userInput`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`output:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` settings:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`categories:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [{ `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`name:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"complete\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }, { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`name:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"incomplete\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }] }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Check 2: Is the tone appropriate?`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` langwatch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`evaluations`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`evaluate`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"langevals/llm_category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` name:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Tone Appropriateness Check\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Different name for this check`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` data:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`input:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` userInput`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`output:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` settings:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`categories:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [{ `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`name:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"professional\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }, { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`name:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"casual\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }, { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`name:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"inappropriate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }] }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`]})})})]}),`\n`,_jsxs(_components.p,{children:[`Without unique names, all results would be grouped under the same auto-generated identifier (e.g., `,_jsx(_components.code,{children:`custom_eval_langevalsllm_category`}),`), making it impossible to analyze them separately.`]}),`\n`,_jsx(Heading,{level:`2`,id:`common-request-format`,children:`Common Request Format`}),`\n`,_jsx(_components.p,{children:`All evaluator endpoints follow a similar pattern:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`http`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`http`,children:_jsxs(_components.code,{language:`http`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`POST`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` /api/v1/evaluations/{evaluator_path}/evaluate`})]}),`\n`]})})}),`\n`,_jsx(_components.p,{children:`Each evaluator accepts specific input parameters and settings. Refer to the individual evaluator documentation pages for detailed request/response schemas and examples.`}),`\n`,_jsx(Heading,{level:`2`,id:`response-format`,children:`Response Format`}),`\n`,_jsx(_components.p,{children:`Successful evaluations return an array of evaluation results with scores, details, and metadata specific to each evaluator type.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Overview","description":"Browse all available evaluators in LangWatch to find the right scoring method for your AI agent evaluation use case.","href":"/api-reference/evaluators/overview"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Intro","slug":"intro","depth":2,"children":[]},{"title":"Authentication","slug":"authentication","depth":2,"children":[{"title":"Allowed Methods","slug":"allowed-methods","depth":3,"children":[]}]},{"title":"Evaluators List","slug":"evaluators-list","depth":2,"children":[]},{"title":"Expected Answer","slug":"expected-answer","depth":2,"children":[]},{"title":"LLM as Judge","slug":"llm-as-judge","depth":2,"children":[]},{"title":"RAG Quality","slug":"rag-quality","depth":2,"children":[]},{"title":"Quality Aspects","slug":"quality-aspects","depth":2,"children":[]},{"title":"Safety","slug":"safety","depth":2,"children":[]},{"title":"API only","slug":"api-only","depth":2,"children":[]},{"title":"Running Evaluations","slug":"running-evaluations","depth":2,"children":[]},{"title":"Using Evaluators","slug":"using-evaluators","depth":2,"children":[]},{"title":"The name Parameter","slug":"the-name-parameter","depth":2,"children":[]},{"title":"Common Request Format","slug":"common-request-format","depth":2,"children":[]},{"title":"Response Format","slug":"response-format","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/langwatch/1c7dbbb4aa0b0c87/expand-menus.js","/docs/_mintlify/custom/langwatch/fdd2d1ee81d630a0/posthog.js"],"subdomain":"langwatch","siteName":"LangWatch","title":"Overview - LangWatch","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-29T01:41:43.660Z","gitLastModified":"2026-10-29T01:40:40.000Z","originalFileLocation":"api-reference/evaluators/overview.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Browse all available evaluators in LangWatch to find the right scoring method for your AI agent evaluation use case.\">\u003cmeta data-mint-head name=\"application-name\" content=\"LangWatch\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/langwatch/kXoUUhFGtPYqSZK4/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/langwatch/kXoUUhFGtPYqSZK4/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/langwatch/kXoUUhFGtPYqSZK4/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/langwatch/kXoUUhFGtPYqSZK4/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/langwatch/kXoUUhFGtPYqSZK4/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/langwatch/kXoUUhFGtPYqSZK4/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/langwatch/kXoUUhFGtPYqSZK4/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/langwatch/kXoUUhFGtPYqSZK4/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/langwatch/kXoUUhFGtPYqSZK4/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Overview - LangWatch\">\u003cmeta data-mint-head property=\"og:description\" content=\"Browse all available evaluators in LangWatch to find the right scoring method for your AI agent evaluation use case.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"LangWatch\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://langwatch.ai/docs/api-reference/evaluators/overview\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://langwatch.mintlify.site/docs/_mintlify/api/og/v2?division=Built-in+Evaluators\u0026amp;title=Overview\u0026amp;description=Browse+all+available+evaluators+in+LangWatch+to+find+the+right+scoring+method+for+your+AI+agent+evaluation+use+case.\u0026amp;theme=c82022416a7a1873b973b6a4\u0026amp;signature=d1fcd2edc8c69aecf896b4de906435b9a897ab809aaa1c781d9200049ed31824\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Overview - LangWatch\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Browse all available evaluators in LangWatch to find the right scoring method for your AI agent evaluation use case.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://langwatch.mintlify.site/docs/_mintlify/api/og/v2?division=Built-in+Evaluators\u0026amp;title=Overview\u0026amp;description=Browse+all+available+evaluators+in+LangWatch+to+find+the+right+scoring+method+for+your+AI+agent+evaluation+use+case.\u0026amp;theme=c82022416a7a1873b973b6a4\u0026amp;signature=d1fcd2edc8c69aecf896b4de906435b9a897ab809aaa1c781d9200049ed31824\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/langwatch/kXoUUhFGtPYqSZK4/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"LangWatch\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#e17100\">\u003clink data-mint-head rel=\"canonical\" href=\"https://langwatch.ai/docs/api-reference/evaluators/overview\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/evaluators/overview.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://langwatch.ai/#organization\",\"name\":\"LangWatch\",\"url\":\"https://langwatch.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://langwatch.ai/docs/logo/light.svg\"},\"sameAs\":[\"https://github.com/langwatch/langwatch\",\"https://x.com/langwatchai\",\"https://www.linkedin.com/company/langwatch/\",\"https://www.youtube.com/@LangWatch\"]},{\"@type\":\"WebSite\",\"@id\":\"https://langwatch.ai/docs#website\",\"name\":\"LangWatch\",\"url\":\"https://langwatch.ai/docs\",\"publisher\":{\"@id\":\"https://langwatch.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://langwatch.ai/docs/api-reference/evaluators/overview#webpage\",\"url\":\"https://langwatch.ai/docs/api-reference/evaluators/overview\",\"name\":\"Overview\",\"description\":\"Browse all available evaluators in LangWatch to find the right scoring method for your AI agent evaluation use case.\",\"dateModified\":\"2026-10-29T01:40:40.000Z\",\"isPartOf\":{\"@id\":\"https://langwatch.ai/docs#website\"},\"breadcrumb\":{\"@id\":\"https://langwatch.ai/docs/api-reference/evaluators/overview#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://langwatch.ai/docs/api-reference/evaluators/overview#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"LangWatch\",\"item\":\"https://langwatch.ai/docs\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Overview\",\"item\":\"https://langwatch.ai/docs/api-reference/evaluators/overview\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://langwatch.ai/docs/api-reference/evaluators/overview#article\",\"headline\":\"Overview\",\"name\":\"Overview\",\"description\":\"Browse all available evaluators in LangWatch to find the right scoring method for your AI agent evaluation use case.\",\"url\":\"https://langwatch.ai/docs/api-reference/evaluators/overview\",\"mainEntityOfPage\":{\"@id\":\"https://langwatch.ai/docs/api-reference/evaluators/overview#webpage\"},\"dateModified\":\"2026-10-29T01:40:40.000Z\",\"publisher\":{\"@id\":\"https://langwatch.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://langwatch.ai/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"LangWatch\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"LangWatch","nav":{"global":{"anchors":[{"anchor":"Get Support","icon":"life-ring","href":"https://docs.langwatch.ai/support#email-support"}]},"anchors":[{"anchor":"Platform","icon":"book-open","pages":[{"title":"Platform","href":"/introduction"}]},{"anchor":"Observability","icon":"plug","pages":[{"title":"Observability","href":"/integration/overview"}]},{"anchor":"AI Gateway","icon":"route","pages":[{"title":"AI Gateway","href":"/ai-gateway/overview"}]},{"anchor":"AI Governance","icon":"shield-check","pages":[{"title":"AI Governance","href":"/ai-governance/overview"}]},{"anchor":"Coding Agents","icon":"square-terminal","pages":[{"title":"Coding Agents","href":"/coding-agents/overview"}]},{"anchor":"Langy","icon":"robot","pages":[{"title":"Langy","href":"/langy/overview"}]},{"anchor":"Self Hosting","icon":"server","pages":[{"title":"Self Hosting","href":"/self-hosting/overview"}]},{"anchor":"API Reference","icon":"code","groups":[{"group":"Get Started","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"Traces","pages":[{"title":"Overview","href":"/api-reference/traces/overview"},{"title":"Discover what the trace filter fields hold","openapi":"GET /api/v1/traces/facets","href":"/api-reference/traces/discover-what-the-trace-filter-fields-hold"},{"title":"Search traces","openapi":"POST /api/v1/traces/search","href":"/api-reference/traces/search"},{"title":"Get trace details","openapi":"GET /api/v1/traces/{traceId}","href":"/api-reference/traces/get-trace"},{"title":"Get Transcript","openapi":"GET /api/v1/traces/{traceId}/transcript","href":"/api-reference/traces/get-transcript"},{"title":"Update trace metadata","openapi":"PATCH /api/v1/traces/{traceId}/metadata","href":"/api-reference/traces/update-trace-metadata"},{"title":"Returns a public path for a trace","openapi":"POST /api/trace/{id}/share","href":"/api-reference/traces/action-share"},{"title":"Deletes a public path for a trace","openapi":"POST /api/trace/{id}/unshare","href":"/api-reference/traces/action-unshare"},{"title":"Projection DSL \u0026 field catalog","href":"/api-reference/traces/projection-dsl"}]},{"group":"Datasets","pages":[{"title":"Overview","href":"/api-reference/datasets/overview"},{"title":"List all non-archived datasets for the project","openapi":"GET /api/v1/dataset","href":"/api-reference/datasets/list-dataset"},{"title":"Create a new dataset","openapi":"POST /api/v1/dataset","href":"/api-reference/datasets/create-dataset"},{"title":"Create Attachments","openapi":"POST /api/v1/dataset/attachments","href":"/api-reference/datasets/create-attachments"},{"title":"Create an upload for an image or file cell","openapi":"POST /api/v1/dataset/attachments/uploads","href":"/api-reference/datasets/create-an-upload-for-an-image-or-file-cell"},{"title":"Evaluate a dataset","openapi":"POST /api/v1/dataset/evaluate","href":"/api-reference/datasets/evaluate-a-dataset"},{"title":"Create a dataset from an uploaded file","openapi":"POST /api/v1/dataset/imports","href":"/api-reference/datasets/create-a-dataset-from-an-uploaded-file"},{"title":"Create a new dataset from an uploaded file","openapi":"POST /api/v1/dataset/upload","href":"/api-reference/datasets/create-upload"},{"title":"List entries of a dataset","openapi":"GET /api/v1/dataset/{datasetSlug}/entries","href":"/api-reference/datasets/get-entries"},{"title":"Get a dataset by its slug or id","openapi":"GET /api/v1/dataset/{slugOrId}","href":"/api-reference/datasets/get-dataset"},{"title":"List records for a dataset","openapi":"GET /api/v1/dataset/{slugOrId}/records","href":"/api-reference/datasets/get-records"},{"title":"List dataset versions","openapi":"GET /api/v1/dataset/{slugOrId}/versions","href":"/api-reference/datasets/list-dataset-versions"},{"title":"Get a dataset version","openapi":"GET /api/v1/dataset/{slugOrId}/versions/{version}","href":"/api-reference/datasets/get-a-dataset-version"},{"title":"Update a dataset by its slug or id","openapi":"PATCH /api/v1/dataset/{slugOrId}","href":"/api-reference/datasets/update-dataset"},{"title":"Update or create a record in a dataset","openapi":"PATCH /api/v1/dataset/{slugOrId}/records/{recordId}","href":"/api-reference/datasets/update-records"},{"title":"Add dataset entries","openapi":"POST /api/v1/dataset/{datasetSlug}/entries","href":"/api-reference/datasets/post-dataset-entries"},{"title":"Import an uploaded file into a dataset","openapi":"POST /api/v1/dataset/{slugOrId}/imports","href":"/api-reference/datasets/import-an-uploaded-file-into-a-dataset"},{"title":"Create records in a dataset in batch","openapi":"POST /api/v1/dataset/{slugOrId}/records","href":"/api-reference/datasets/action-records"},{"title":"Upload a file","openapi":"POST /api/v1/dataset/{slugOrId}/upload","href":"/api-reference/datasets/action-upload"},{"title":"Save a dataset version","openapi":"POST /api/v1/dataset/{slugOrId}/versions","href":"/api-reference/datasets/save-a-dataset-version"},{"title":"Restore a dataset version","openapi":"POST /api/v1/dataset/{slugOrId}/versions/{version}/restore","href":"/api-reference/datasets/restore-a-dataset-version"},{"title":"Archive a dataset","openapi":"DELETE /api/v1/dataset/{slugOrId}","href":"/api-reference/datasets/delete-dataset"},{"title":"Delete records from a dataset by IDs","openapi":"DELETE /api/v1/dataset/{slugOrId}/records","href":"/api-reference/datasets/delete-records"}]},{"group":"Evaluators","pages":[{"title":"Overview","href":"/api-reference/evaluators-config/overview"},{"title":"Get all evaluators for a project","openapi":"GET /api/v1/evaluators","href":"/api-reference/evaluators-config/list-evaluators"},{"title":"Create a new evaluator","openapi":"POST /api/v1/evaluators","href":"/api-reference/evaluators-config/create-evaluators"},{"title":"Get Versions","openapi":"GET /api/v1/evaluators/{evaluatorId}/versions","href":"/api-reference/evaluators-config/get-versions"},{"title":"Get a specific evaluator by ID or slug","openapi":"GET /api/v1/evaluators/{idOrSlug}","href":"/api-reference/evaluators-config/get-evaluators"},{"title":"Update Labels","openapi":"PUT /api/v1/evaluators/{evaluatorId}/labels/{label}","href":"/api-reference/evaluators-config/update-labels"},{"title":"Update an existing evaluator","openapi":"PUT /api/v1/evaluators/{id}","href":"/api-reference/evaluators-config/update-evaluators"},{"title":"Remove a deploy label from an evaluator","openapi":"DELETE /api/v1/evaluators/{evaluatorId}/labels/{label}","href":"/api-reference/evaluators-config/delete-labels"},{"title":"Archive an evaluator","openapi":"DELETE /api/v1/evaluators/{id}","description":"Archive (soft-delete) an evaluator","href":"/api-reference/evaluators-config/delete-evaluators"}]},{"group":"Built-in Evaluators","pages":[{"title":"Overview","href":"/api-reference/evaluators/overview"},{"group":"Expected Answer","pages":[{"openapi":"post /langevals/exact_match/evaluate","title":"Exact Match Evaluator","description":"A simple evaluator that checks if the output matches the expected_output exactly.","href":"/api-reference/evaluators/exact-match-evaluator"},{"openapi":"post /langevals/llm_answer_match/evaluate","title":"LLM Answer Match","href":"/api-reference/evaluators/llm-answer-match"},{"openapi":"post /ragas/factual_correctness/evaluate","title":"LLM Factual Match","href":"/api-reference/evaluators/llm-factual-match"},{"openapi":"post /ragas/bleu_score/evaluate","title":"BLEU Score","href":"/api-reference/evaluators/bleu-score"},{"openapi":"post /ragas/rouge_score/evaluate","title":"ROUGE Score","href":"/api-reference/evaluators/rouge-score"},{"openapi":"post /ragas/sql_query_equivalence/evaluate","title":"SQL Query Equivalence","href":"/api-reference/evaluators/sql-query-equivalence"},{"openapi":"post /langevals/similarity/evaluate","title":"Semantic Similarity Evaluator","href":"/api-reference/evaluators/semantic-similarity-evaluator"}]},{"group":"LLM as Judge","pages":[{"openapi":"post /langevals/llm_boolean/evaluate","title":"LLM-as-a-Judge Boolean Evaluator","href":"/api-reference/evaluators/llm-as-a-judge-boolean-evaluator"},{"openapi":"post /langevals/llm_category/evaluate","title":"LLM-as-a-Judge Category Evaluator","href":"/api-reference/evaluators/llm-as-a-judge-category-evaluator"},{"openapi":"post /langevals/llm_score/evaluate","title":"LLM-as-a-Judge Score Evaluator","href":"/api-reference/evaluators/llm-as-a-judge-score-evaluator"},{"openapi":"post /ragas/rubrics_based_scoring/evaluate","title":"Rubrics Based Scoring","href":"/api-reference/evaluators/rubrics-based-scoring"},{"openapi":"post /langevals/basic/evaluate","title":"Custom Basic Evaluator","href":"/api-reference/evaluators/custom-basic-evaluator"},{"openapi":"post /ragas/summarization_score/evaluate","title":"Summarization Score","href":"/api-reference/evaluators/summarization-score"}]},{"group":"RAG Quality","pages":[{"openapi":"post /ragas/faithfulness/evaluate","title":"Ragas Faithfulness","href":"/api-reference/evaluators/ragas-faithfulness"},{"openapi":"post /ragas/response_context_precision/evaluate","title":"Ragas Response Context Precision","href":"/api-reference/evaluators/ragas-response-context-precision"},{"openapi":"post /ragas/response_context_recall/evaluate","title":"Ragas Response Context Recall","href":"/api-reference/evaluators/ragas-response-context-recall"},{"openapi":"post /ragas/response_relevancy/evaluate","title":"Ragas Response Relevancy","href":"/api-reference/evaluators/ragas-response-relevancy"},{"openapi":"post /ragas/context_f1/evaluate","title":"Context F1","href":"/api-reference/evaluators/context-f1"},{"openapi":"post /ragas/context_precision/evaluate","title":"Context Precision","href":"/api-reference/evaluators/context-precision"},{"openapi":"post /ragas/context_recall/evaluate","title":"Context Recall","href":"/api-reference/evaluators/context-recall"}]},{"group":"Quality Aspects","pages":[{"openapi":"post /lingua/language_detection/evaluate","title":"Lingua Language Detection","href":"/api-reference/evaluators/lingua-language-detection"},{"openapi":"post /langevals/valid_format/evaluate","title":"Valid Format Evaluator","href":"/api-reference/evaluators/valid-format-evaluator"},{"openapi":"post /langevals/off_topic/evaluate","title":"Off Topic Evaluator","href":"/api-reference/evaluators/off-topic-evaluator"},{"openapi":"post /langevals/query_resolution/evaluate","title":"Query Resolution","href":"/api-reference/evaluators/query-resolution"}]},{"group":"Safety","pages":[{"openapi":"post /azure/content_safety/evaluate","title":"Azure Content Safety","href":"/api-reference/evaluators/azure-content-safety"},{"openapi":"post /azure/jailbreak/evaluate","title":"Azure Jailbreak Detection","href":"/api-reference/evaluators/azure-jailbreak-detection"},{"openapi":"post /azure/prompt_injection/evaluate","title":"Azure Prompt Shield","href":"/api-reference/evaluators/azure-prompt-shield"},{"openapi":"post /openai/moderation/evaluate","title":"OpenAI Moderation","href":"/api-reference/evaluators/openai-moderation"},{"openapi":"post /presidio/pii_detection/evaluate","title":"Presidio PII Detection","href":"/api-reference/evaluators/presidio-pii-detection"},{"openapi":"post /langevals/competitor_blocklist/evaluate","title":"Competitor Blocklist","href":"/api-reference/evaluators/competitor-blocklist"},{"openapi":"post /langevals/competitor_llm/evaluate","title":"Competitor Allowlist Check","href":"/api-reference/evaluators/competitor-allowlist-check"},{"openapi":"post /langevals/competitor_llm_function_call/evaluate","title":"Competitor LLM Check","href":"/api-reference/evaluators/competitor-llm-check"}]}]},{"group":"Evaluations","pages":[{"title":"Overview","href":"/api-reference/evaluations/overview"},{"title":"List the built-in evaluators","openapi":"GET /api/v1/evaluations/list","href":"/api-reference/evaluations/list-the-built-in-evaluators"},{"title":"Run an evaluator","openapi":"POST /api/v1/evaluations/{evaluator}/evaluate","href":"/api-reference/evaluations/run-an-evaluator"},{"title":"Run a namespaced evaluator","openapi":"POST /api/v1/evaluations/{evaluator}/{subpath}/evaluate","href":"/api-reference/evaluations/run-a-namespaced-evaluator"},{"title":"Run an evaluator as a guardrail","openapi":"POST /api/v1/guardrails/{evaluator}/evaluate","href":"/api-reference/evaluations/run-an-evaluator-as-a-guardrail"},{"title":"Report batch evaluation results","openapi":"POST /api/v1/evaluations/batch/log_results","href":"/api-reference/evaluations/report-batch-evaluation-results"}]},{"group":"Experiments","pages":[{"title":"Overview","href":"/api-reference/experiments/overview"},{"title":"Create an experiment","openapi":"POST /api/v1/experiment/init","href":"/api-reference/experiments/create-an-experiment"},{"title":"List experiments for the project","openapi":"GET /api/v1/experiments","href":"/api-reference/experiments/list-experiments-for-the-project"},{"title":"Run an experiment","openapi":"POST /api/v1/experiments/{slug}/run","href":"/api-reference/experiments/run-an-experiment"},{"title":"List runs of an experiment","openapi":"GET /api/v1/experiments/runs","href":"/api-reference/experiments/list-runs-of-an-experiment"},{"title":"Poll a run","openapi":"GET /api/v1/experiments/runs/{runId}","href":"/api-reference/experiments/poll-a-run"},{"title":"Read run results","openapi":"GET /api/v1/experiments/runs/{runId}/results","href":"/api-reference/experiments/read-run-results"},{"title":"Report DSPy optimizer steps","openapi":"POST /api/v1/dspy/log_steps","href":"/api-reference/experiments/report-dspy-optimizer-steps"},{"title":"Create an experiment and its setup","openapi":"POST /api/v1/experiments","href":"/api-reference/experiments/post-create-an-experiment"},{"title":"Read one experiment","openapi":"GET /api/v1/experiments/{slug}","href":"/api-reference/experiments/read-one-experiment"},{"title":"List an experiment's versions","openapi":"GET /api/v1/experiments/{slug}/versions","href":"/api-reference/experiments/list-an-experiment-s-versions"},{"title":"Read an experiment's setup","openapi":"GET /api/v1/experiments/{slug}/workbench-state","href":"/api-reference/experiments/read-an-experiment-s-setup"},{"title":"Save an experiment's setup","openapi":"PUT /api/v1/experiments/{slug}/workbench-state","href":"/api-reference/experiments/save-an-experiment-s-setup"},{"title":"Restore an experiment version","openapi":"POST /api/v1/experiments/{slug}/versions/{version}/restore","href":"/api-reference/experiments/restore-an-experiment-version"}]},{"group":"Monitors","pages":[{"title":"Overview","href":"/api-reference/monitors/overview"},{"title":"List Monitors","openapi":"GET /api/v1/monitors","href":"/api-reference/monitors/list-monitors"},{"title":"Create a new online evaluation monitor","openapi":"POST /api/v1/monitors","href":"/api-reference/monitors/create-monitors"},{"title":"Get a monitor by its ID","openapi":"GET /api/v1/monitors/{id}","href":"/api-reference/monitors/get-monitors"},{"title":"Update a monitor","openapi":"PATCH /api/v1/monitors/{id}","href":"/api-reference/monitors/update-monitors"},{"title":"Enable or disable a monitor","openapi":"POST /api/v1/monitors/{id}/toggle","href":"/api-reference/monitors/action-toggle"},{"title":"Delete a monitor","openapi":"DELETE /api/v1/monitors/{id}","href":"/api-reference/monitors/delete-monitors"}]},{"group":"Prompts","pages":[{"title":"Overview","href":"/api-reference/prompts/overview"},{"title":"Get prompts","openapi":"GET /api/v1/prompts","href":"/api-reference/prompts/get-prompts"},{"title":"List Tags","openapi":"GET /api/v1/prompts/tags","href":"/api-reference/prompts/list-tags"},{"title":"Create prompt","openapi":"POST /api/v1/prompts","href":"/api-reference/prompts/create-prompt"},{"title":"Create Tags","openapi":"POST /api/v1/prompts/tags","href":"/api-reference/prompts/create-tags"},{"title":"Get prompt","openapi":"GET /api/v1/prompts/{id}","href":"/api-reference/prompts/get-prompt"},{"title":"Get prompt versions","openapi":"GET /api/v1/prompts/{id}/versions","href":"/api-reference/prompts/get-prompt-versions"},{"title":"Update prompt","openapi":"PUT /api/v1/prompts/{id}","href":"/api-reference/prompts/update-prompt"},{"title":"Assign a tag","openapi":"PUT /api/v1/prompts/{id}/tags/{tag}","href":"/api-reference/prompts/update-tags"},{"title":"Rename a prompt tag definition","openapi":"PUT /api/v1/prompts/tags/{tag}","href":"/api-reference/prompts/put-update-tags"},{"title":"Sync/upsert a prompt with local content","openapi":"POST /api/v1/prompts/{id}/sync","href":"/api-reference/prompts/action-sync"},{"title":"Restore a prompt to a previous version","openapi":"POST /api/v1/prompts/{id}/versions/{versionId}/restore","href":"/api-reference/prompts/action-restore"},{"title":"Delete prompt","openapi":"DELETE /api/v1/prompts/{id}","href":"/api-reference/prompts/delete-prompt"},{"title":"Delete Tags","openapi":"DELETE /api/v1/prompts/tags/{tag}","href":"/api-reference/prompts/delete-tags"}]},{"group":"Annotations","pages":[{"title":"Overview","href":"/api-reference/annotations/overview"},{"title":"Get annotations","openapi":"GET /api/v1/annotations","href":"/api-reference/annotations/get-annotation"},{"title":"Get single annotation","openapi":"GET /api/v1/annotations/{id}","href":"/api-reference/annotations/get-single-annotation"},{"title":"Get annotations for a trace","openapi":"GET /api/v1/annotations/trace/{id}","href":"/api-reference/annotations/get-all-annotations-trace"},{"title":"Patch single annotation","openapi":"PATCH /api/v1/annotations/{id}","href":"/api-reference/annotations/patch-annotation"},{"title":"Create annotation for single trace","openapi":"POST /api/v1/annotations/trace/{id}","href":"/api-reference/annotations/create-annotation-trace"},{"title":"Delete single annotation","openapi":"DELETE /api/v1/annotations/{id}","href":"/api-reference/annotations/delete-annotation"}]},{"group":"Scenarios","pages":[{"title":"Overview","href":"/api-reference/scenarios/overview"},{"title":"Get all scenarios for a project","openapi":"GET /api/v1/scenarios","href":"/api-reference/scenarios/list-scenarios"},{"title":"Create a new scenario","openapi":"POST /api/v1/scenarios","href":"/api-reference/scenarios/create-scenarios"},{"title":"Get a specific scenario by ID","openapi":"GET /api/v1/scenarios/{id}","href":"/api-reference/scenarios/get-scenarios"},{"title":"List a scenario's versions","openapi":"GET /api/v1/scenarios/{id}/versions","href":"/api-reference/scenarios/list-a-scenario-s-versions"},{"title":"Read one scenario version","openapi":"GET /api/v1/scenarios/{id}/versions/{version}","href":"/api-reference/scenarios/read-one-scenario-version"},{"title":"Update an existing scenario","openapi":"PUT /api/v1/scenarios/{id}","href":"/api-reference/scenarios/update-scenarios"},{"title":"Update an existing scenario","openapi":"PATCH /api/v1/scenarios/{id}","href":"/api-reference/scenarios/patch-update-scenarios"},{"title":"Archive a scenario","openapi":"DELETE /api/v1/scenarios/{id}","href":"/api-reference/scenarios/delete-scenarios"}]},{"group":"Scenario Events","pages":[{"title":"Overview","href":"/api-reference/scenario-events/overview"},{"title":"Create a new scenario event","openapi":"POST /api/v1/scenario-events","href":"/api-reference/scenario-events/create-scenario-events"},{"title":"Create Browser Tab","openapi":"POST /api/v1/scenario-events/browser-tab","href":"/api-reference/scenario-events/create-browser-tab"},{"title":"Delete all events","openapi":"DELETE /api/v1/scenario-events","href":"/api-reference/scenario-events/delete-scenario-events"}]},{"group":"Simulation Runs","pages":[{"title":"Overview","href":"/api-reference/simulation-runs/overview"},{"title":"List Simulation Runs","openapi":"GET /api/v1/simulation-runs","href":"/api-reference/simulation-runs/list-simulation-runs"},{"title":"List batch summaries for a scenario set","openapi":"GET /api/v1/simulation-runs/batches/list","href":"/api-reference/simulation-runs/get-list-list"},{"title":"Get a single simulation run by its ID","openapi":"GET /api/v1/simulation-runs/{scenarioRunId}","href":"/api-reference/simulation-runs/get-simulation-runs"},{"title":"Get Batches","openapi":"GET /api/v1/simulation-runs/batches/{batchRunId}","href":"/api-reference/simulation-runs/get-batches"}]},{"group":"Instant Evals","pages":[{"title":"Overview","href":"/api-reference/instant-evals/overview"},{"title":"Estimate a run","openapi":"POST /api/v1/instant-evals/estimate","href":"/api-reference/instant-evals/estimate-a-run"},{"title":"Start a run","openapi":"POST /api/v1/instant-evals","href":"/api-reference/instant-evals/create-instant-evals"},{"title":"List the project's runs, newest first","openapi":"GET /api/v1/instant-evals","href":"/api-reference/instant-evals/list-instant-evals"},{"title":"Get Instant Evals","openapi":"GET /api/v1/instant-evals/{id}","href":"/api-reference/instant-evals/get-instant-evals"},{"title":"Read a run's results","openapi":"GET /api/v1/instant-evals/{id}/results","href":"/api-reference/instant-evals/read-a-run-s-results"},{"title":"Sample a run","openapi":"GET /api/v1/instant-evals/{id}/sample","href":"/api-reference/instant-evals/sample-a-run"},{"title":"Cancel a run","openapi":"POST /api/v1/instant-evals/{id}/cancel","href":"/api-reference/instant-evals/cancel-a-run"},{"title":"Running An Instant Eval","href":"/api-reference/instant-evals/running-an-instant-eval"}]},{"group":"Run Plans","pages":[{"title":"Overview","href":"/api-reference/run-plans/overview"},{"title":"List the project's run plans","openapi":"GET /api/v1/run-plans","href":"/api-reference/run-plans/list-run-plans"},{"title":"Run a configuration under a name","openapi":"POST /api/v1/run-plans/run","href":"/api-reference/run-plans/create-run"},{"title":"Read one run plan","openapi":"GET /api/v1/run-plans/{id}","href":"/api-reference/run-plans/get-run-plans"},{"title":"Run a plan again","openapi":"POST /api/v1/run-plans/{id}/run","href":"/api-reference/run-plans/run-a-plan-again"},{"title":"Archive a run plan","openapi":"DELETE /api/v1/run-plans/{id}","href":"/api-reference/run-plans/delete-run-plans"}]},{"group":"Test Suites","pages":[{"title":"Overview","href":"/api-reference/test-suites/overview"},{"title":"List the project's test suites","openapi":"GET /api/v1/test-suites","href":"/api-reference/test-suites/list-test-suites"},{"title":"Create a test suite","openapi":"POST /api/v1/test-suites","href":"/api-reference/test-suites/create-test-suites"},{"title":"Read one test suite","openapi":"GET /api/v1/test-suites/{id}","href":"/api-reference/test-suites/read-one-test-suite"},{"title":"Rename a test suite","openapi":"PATCH /api/v1/test-suites/{id}","href":"/api-reference/test-suites/update-test-suites"},{"title":"Run a test suite","openapi":"POST /api/v1/test-suites/{id}/run","href":"/api-reference/test-suites/run-a-test-suite"},{"title":"Archive a test suite","openapi":"DELETE /api/v1/test-suites/{id}","href":"/api-reference/test-suites/delete-test-suites"}]},{"group":"Suites","pages":[{"title":"Overview","href":"/api-reference/suites/overview"},{"title":"List all non-archived suites","openapi":"GET /api/v1/suites","href":"/api-reference/suites/list-suites"},{"title":"Create a new suite","openapi":"POST /api/v1/suites","href":"/api-reference/suites/create-suites"},{"title":"Get a suite","openapi":"GET /api/v1/suites/{id}","href":"/api-reference/suites/get-suites"},{"title":"Update a suite","openapi":"PATCH /api/v1/suites/{id}","href":"/api-reference/suites/update-suites"},{"title":"Duplicate a suite","openapi":"POST /api/v1/suites/{id}/duplicate","href":"/api-reference/suites/action-duplicate"},{"title":"Trigger a suite run","openapi":"POST /api/v1/suites/{id}/run","href":"/api-reference/suites/action-run"},{"title":"Archive a suite","openapi":"DELETE /api/v1/suites/{id}","href":"/api-reference/suites/delete-suites"}]},{"group":"Agents","pages":[{"title":"Overview","href":"/api-reference/agents/overview"},{"title":"List Agents","openapi":"GET /api/v1/agents","href":"/api-reference/agents/list-agents"},{"title":"List Poll","openapi":"GET /api/v1/agents/connect/poll","href":"/api-reference/agents/list-poll"},{"title":"Create Agents","openapi":"POST /api/v1/agents","href":"/api-reference/agents/create-agents"},{"title":"Create Frames","openapi":"POST /api/v1/agents/connect/frames","href":"/api-reference/agents/create-frames"},{"title":"Create Register","openapi":"POST /api/v1/agents/connect/register","href":"/api-reference/agents/create-register"},{"title":"List an agent's versions","openapi":"GET /api/v1/agents/{agentId}/versions","href":"/api-reference/agents/list-an-agent-s-versions"},{"title":"Get Agents","openapi":"GET /api/v1/agents/{id}","href":"/api-reference/agents/get-agents"},{"title":"Point a deploy label at an agent version","openapi":"PUT /api/v1/agents/{agentId}/labels/{label}","href":"/api-reference/agents/point-a-deploy-label-at-an-agent-version"},{"title":"Update Agents (PATCH)","openapi":"PATCH /api/v1/agents/{id}","href":"/api-reference/agents/update-agents"},{"title":"Update Agents (PUT)","openapi":"PUT /api/v1/agents/{id}","href":"/api-reference/agents/put-update-agents"},{"title":"Create Call","openapi":"POST /api/v1/agents/{id}/call","href":"/api-reference/agents/action-call"},{"title":"Create Test","openapi":"POST /api/v1/agents/{id}/test","href":"/api-reference/agents/action-test"},{"title":"Remove a deploy label from an agent","openapi":"DELETE /api/v1/agents/{agentId}/labels/{label}","href":"/api-reference/agents/remove-a-deploy-label-from-an-agent"},{"title":"Archive an agent","openapi":"DELETE /api/v1/agents/{id}","href":"/api-reference/agents/delete-agents"}]},{"group":"Coding Agents","pages":[{"title":"Overview","href":"/api-reference/coding-agents/overview"},{"title":"Get pull request coding agent usage","openapi":"GET /api/coding-agent/pull-request-usage","href":"/api-reference/coding-agents/get-pull-request-coding-agent-usage"},{"title":"Get pull request usage","openapi":"GET /api/v1/coding-agent/pull-request-usage","href":"/api-reference/coding-agents/get-pull-request-usage"},{"title":"List coding agent session events","openapi":"GET /api/v1/coding-agent/sessions/{sessionId}/events","href":"/api-reference/coding-agents/list-coding-agent-session-events"}]},{"group":"Triggers","pages":[{"title":"Overview","href":"/api-reference/triggers/overview"},{"title":"List Slack Connections","openapi":"GET /api/v1/slack-connections","href":"/api-reference/triggers/list-slack-connections"},{"title":"List all active triggers","openapi":"GET /api/v1/triggers","href":"/api-reference/triggers/list-triggers"},{"title":"Create a Slack alert trigger","openapi":"POST /api/v1/trigger/slack","href":"/api-reference/triggers/create-a-slack-alert-trigger"},{"title":"Create a new trigger","openapi":"POST /api/v1/triggers","href":"/api-reference/triggers/create-triggers"},{"title":"Get a trigger by its ID","openapi":"GET /api/v1/triggers/{triggerId}","href":"/api-reference/triggers/get-triggers"},{"title":"List an automation's fires","openapi":"GET /api/v1/triggers/{triggerId}/fires","href":"/api-reference/triggers/get-fires"},{"title":"Update a trigger","openapi":"PATCH /api/v1/triggers/{triggerId}","href":"/api-reference/triggers/update-triggers"},{"title":"Pause an automation","openapi":"POST /api/v1/triggers/{triggerId}/disable","href":"/api-reference/triggers/action-disable"},{"title":"Resume an automation","openapi":"POST /api/v1/triggers/{triggerId}/enable","href":"/api-reference/triggers/action-enable"},{"title":"Send a test fire","openapi":"POST /api/v1/triggers/{triggerId}/test-fire","href":"/api-reference/triggers/action-test-fire"},{"title":"Delete a trigger","openapi":"DELETE /api/v1/triggers/{triggerId}","href":"/api-reference/triggers/delete-triggers"}]},{"group":"Events","pages":[{"title":"Overview","href":"/api-reference/events/overview"},{"title":"Record a user event","openapi":"POST /api/v1/events/track","href":"/api-reference/events/create-track"}]},{"group":"Workflows","pages":[{"title":"Overview","href":"/api-reference/workflows/overview"},{"title":"List all non-archived workflows for the project","openapi":"GET /api/v1/workflows","href":"/api-reference/workflows/list-workflows"},{"title":"Get a workflow by its ID","openapi":"GET /api/v1/workflows/{id}","href":"/api-reference/workflows/get-workflows"},{"title":"Update a workflow's metadata","openapi":"PATCH /api/v1/workflows/{id}","href":"/api-reference/workflows/update-workflows"},{"title":"Run a workflow version (legacy path)","openapi":"POST /api/v1/optimization/{workflowI
[...]
